> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Conference Room

> Update an existing conference room



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json patch /v2/admin/conference-rooms/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/conference-rooms/{id}:
    patch:
      tags:
        - Conference Rooms
      summary: Update Conference Room
      description: Update an existing conference room
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                number:
                  type: string
                  minLength: 2
                  maxLength: 9
                  pattern: ^[0-9]+$
                name:
                  type: string
                  minLength: 1
                pin:
                  anyOf:
                    - anyOf:
                        - type: string
                          enum:
                            - ''
                        - type: string
                          pattern: ^[0-9]{2,9}$
                    - type: 'null'
                adminpin:
                  anyOf:
                    - anyOf:
                        - type: string
                          enum:
                            - ''
                        - type: string
                          pattern: ^[0-9]{2,9}$
                    - type: 'null'
                opts:
                  type: string
                  minLength: 1
                adminopts:
                  type: string
                  minLength: 1
                maxusers:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                requestPinMediafileId:
                  type: number
                  minimum: 0
                correctPinMediafileId:
                  type: number
                  minimum: 0
                correctAdminPinMediafileId:
                  type: number
                  minimum: 0
                sendReport:
                  type: string
                sendReportEmail:
                  anyOf:
                    - type: string
                      format: email
                      pattern: >-
                        ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                    - type: string
                      enum:
                        - ''
              additionalProperties: false
      responses:
        '200':
          description: Updated conference room
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Conference room ID
                  tenantId:
                    type: number
                    description: Tenant ID
                  number:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Dialable number
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Conference room name
                  hosted:
                    anyOf:
                      - type: string
                      - type: 'null'
                  rrId:
                    anyOf:
                      - type: number
                      - type: 'null'
                  sendReport:
                    anyOf:
                      - type: string
                      - type: 'null'
                  sendReportEmail:
                    anyOf:
                      - type: string
                      - type: 'null'
                  sendReportEmailFromDate:
                    anyOf:
                      - anyOf:
                          - type: string
                          - type: string
                            format: date-time
                          - type: number
                      - type: 'null'
                  requestPinMediafile:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: number
                            description: Media file ID
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                            description: Media file name
                        required:
                          - id
                          - name
                        additionalProperties: false
                      - type: 'null'
                    description: Request-PIN prompt
                  correctPinMediafile:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: number
                            description: Media file ID
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                            description: Media file name
                        required:
                          - id
                          - name
                        additionalProperties: false
                      - type: 'null'
                    description: Correct member-PIN prompt
                  correctAdminPinMediafile:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: number
                            description: Media file ID
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                            description: Media file name
                        required:
                          - id
                          - name
                        additionalProperties: false
                      - type: 'null'
                    description: Correct admin-PIN prompt
                  meetme:
                    type: object
                    properties:
                      pin:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Member PIN
                      adminpin:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Admin PIN
                      opts:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: MeetMe member flags
                      adminopts:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: MeetMe admin flags
                      maxusers:
                        anyOf:
                          - type: number
                          - type: 'null'
                        description: Max users
                      members:
                        anyOf:
                          - type: number
                          - type: 'null'
                        description: Current member count
                    required:
                      - pin
                      - adminpin
                      - opts
                      - adminopts
                      - maxusers
                      - members
                    additionalProperties: {}
                    description: Linked MeetMe conference
                required:
                  - id
                  - tenantId
                  - number
                  - name
                  - requestPinMediafile
                  - correctPinMediafile
                  - correctAdminPinMediafile
                  - meetme
                additionalProperties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.